Subject: bug#65022: 29.1; Tramp resets file buffer encoding to UTF-8

From: Eli Zaretskii <[email-masked]>
Date: Fri, 04 Aug 2023 10:19:23 +0300

> Resent-To: [email-masked]
> Cc: [email-masked],
>  Георгий Потапов <[email-masked]>
> From: Michael Albinus <[email-masked]>
> Date: Fri, 04 Aug 2023 06:23:00 +0200
> 
> Version: 29.2
> 
> Георгий Потапов via "Bug reports for GNU Emacs, the Swiss army knife of
> text editors" <[email-masked]> writes:
> 
> Hi Georgij,
> 
> >> It is a little bit tricky to install the patch, because it is in a
> >> defmacro of tramp.el. This macro is used in tramp-sh.el. You must
> >> compile both files in this order. Could you pls check?
> >
> > Yes, I've installed the patch and now saving works as intended.
> >
> > No more encoding switching.
> 
> Thanks for the feedback. I've installed the patch in the repositories,
> will appear with Emacs 29.2.

Am I missing something, or did you install this on master, not on
emacs-29?